Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-60706

Verify moodle-plugin-ci are working ok with phpunit6 (and php72)

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Minor
    • Resolution: Done
    • Affects Version/s: 3.4
    • Fix Version/s: 3.4.4
    • Component/s: General, Unit tests
    • Labels:

      Description

      This is a followup of MDL-60611, were phpunit6 support was added to 3.4.

      With that integrated, we should be able to verify that plugins using the cool moodle-pligin-ci are able to be tested agains 3.4 branches with all current supported PHP versions (70,71 and 72). No changes need to be verified in older branches, just 34 (master right now).

      Ciao

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                bushido Mark Nielsen
                Reporter:
                stronk7 Eloy Lafuente (stronk7)
                Participants:
                Component watchers:
                Jake Dallimore, Jun Pataleta, Ryan Wyllie, Andrew Nicols, Mathew May, Michael Hawkins, Shamim Rezaie, Simey Lameze
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  9/Jul/18